> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Redraft quote

> Switch a quote that is pending approval, has changes requested, is approved or awaits signature back to draft so it can be edited again, cancelling its pending approval requests, resetting captured signatures and cancelling its electronic signature request.



## OpenAPI

````yaml post /v1/quotes/{id}/redraft
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/quotes/{id}/redraft:
    post:
      tags:
        - Quotes
      summary: Redraft quote
      description: >-
        Switch a quote that is pending approval, has changes requested, is
        approved or awaits signature back to draft so it can be edited again,
        cancelling its pending approval requests, resetting captured signatures
        and cancelling its electronic signature request.
      operationId: redraftQuote
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Quote'
      security:
        - bearer: []
components:
  schemas:
    Quote:
      anyOf:
        - type: object
          properties:
            id:
              type: string
              description: Quote ID.
              example: quo_hXQCd5y8P3GYXa
            customer_id:
              type: string
              description: ID of the customer.
              example: cus_QalW2vTAdkR6IY
            invoicing_entity_id:
              type: string
              description: ID of the invoicing entity attached to the quote.
              example: ive_47484fjdhy5
            template_id:
              type:
                - string
                - 'null'
              description: ID of the quote template.
              example: quot_9hNWq4c84Z146W
            crm_opportunity_id:
              type:
                - string
                - 'null'
              description: ID of the related opportunity/deal in the connected CRM.
              example: opp_Z2oSqnBCUoo1bQ
            contract_value:
              type:
                - number
                - 'null'
              description: >-
                What the customer pays over the contract, each coupon counted on
                the invoices it applies to. Computed from the subscription for
                `subscription` and `subscription_update` quotes, unless set
                manually. Not set on `one_off` quotes.
              example: 18000
            number:
              type: string
              description: Quote sequential number.
              example: '327'
            comments:
              type:
                - string
                - 'null'
              description: Custom comments displayed on the quote.
              example: Please find the contract and subscription details we discussed.
            terms:
              type:
                - string
                - 'null'
              description: Custom quotation terms.
              example: >-
                By signing this quote, you accept our conditions of use for the
                use of our products and services.
            owner_email:
              type:
                - string
                - 'null'
              format: email
              description: >-
                Email address of the Hyperline user acting as the quote owner.
                The owner requests approval when the quote is finalized using an
                API key or finalized during creation.
              example: joe@acme.com
            collect_payment_details:
              type: boolean
              description: >-
                Collect customer payment method mandate during signature flow or
                not.
              example: true
            collect_custom_property_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the customer custom properties required to be filled
                during the signature flow.
              example: []
            require_tax_id:
              type: boolean
              description: >-
                Require the customer to provide a tax ID during the signature
                flow.
              example: false
            display_quote_value:
              type: boolean
              description: Display the total quote value on the quote.
              example: true
            display_quote_value_with_tax:
              type: boolean
              description: >-
                Display the total quote value including tax on the quote. Only
                applies to `one_off` quotes.
              example: false
            display_taxes:
              type: boolean
              description: Display tax breakdown on the quote.
              example: true
            display_price_tiers:
              type: string
              enum:
                - all
                - matching
                - none
              description: >
                Controls which price tiers are displayed on the quote.


                - `all`: Display all pricing tiers.

                - `matching`: Only display the tiers used to compute the price
                based on quantity.

                - `none`: Hide all pricing tiers.
              example: matching
            display_phase_value:
              type: boolean
              description: Display per-phase value breakdown on the quote.
              example: false
            display_discounts_on_total:
              type: boolean
              description: >-
                Display discounts on the totals, with product prices before
                discount. Totals then follow the contract value, so discounts
                with a limited duration are included.
              example: false
            display_first_invoice_amount:
              type: boolean
              description: Display the first invoice amount on the quote.
              example: false
            display_documents_in_preview:
              type: boolean
              description: Display attached documents in the quote preview.
              example: false
            subscription_update_display:
              type: string
              enum:
                - quote_update_details
                - subscription_details
                - both
              description: >-
                Sections displayed on subscription update quotes:
                quote_update_details, subscription_details, or both. Takes
                precedence over display_subscription_on_update.
              example: quote_update_details
            display_subscription_on_update:
              type: boolean
              deprecated: true
              description: >-
                Deprecated. Use subscription_update_display. False displays
                quote update details; true displays both sections.
              example: false
            post_signature_activation_enabled:
              type: boolean
              description: >-
                Whether the subscription is automatically orchestrated after the
                quote is signed. Only applies to the Hyperline CPQ-only product.
              example: true
            generate_draft_invoices:
              type: boolean
              description: >-
                When `true`, the invoice issued after signature stays in `draft`
                status instead of being emitted for payment. Use this when you
                want to review the final invoice manually before sending it.
                Defaults to `false`.
              example: false
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/QuoteFile'
              description: List of documents attached to the quote.
              example:
                - id: quof_5GYXy8P3QCdaXh
                  name: General Conditions of Sale
                  mimetype: application/pdf
            signed_file:
              allOf:
                - $ref: '#/components/schemas/QuoteFile'
                - type:
                    - object
                    - 'null'
                  description: Final signed quote (manually uploaded).
                  example: null
            url:
              type:
                - string
                - 'null'
              format: uri
              description: >-
                URL to access the quote publicly. Only applies to the
                `pending_signature` or `signed` quote.
              example: https://billing.hyperline.co/quote/quo_hXQCd5y8P3GYXa
            created_at:
              type: string
              format: date-time
              description: >-
                Quote creation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T09:10:00.220Z'
            updated_at:
              type: string
              format: date-time
              description: >-
                Quote update date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T10:22:08.100Z'
            status:
              type: string
              enum:
                - draft
              description: >

                Quote status.


                - `draft`: The quote is a draft.

                - `pending_approval`: The quote is pending manager review and
                approval.

                - `changes_requested`: Some changes have been requested
                following manager review.

                - `approved`: The quote is approved and ready to be sent to the
                customer.

                - `pending_signature`: The quote is awaiting the customer's
                signature.

                - `signed`: The quote is signed and fully finalized.

                - `voided`: The quote is voided.
              example: draft
            amount:
              type:
                - number
                - 'null'
              description: Estimated contract value.
              example: 200000
            expires_at:
              type:
                - string
                - 'null'
              format: date-time
              description: >-
                Quote expiration date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: null
            type:
              type: string
              enum:
                - subscription
                - subscription_update
              description: >

                Quote type.


                - `subscription`: The quote will create and start a new
                subscription.

                - `subscription_update`: The quote will update an existing
                subscription.

                - `one_off`: The quote will issue an one-off invoice.
              example: subscription
            subscription_id:
              type:
                - string
                - 'null'
              description: >-
                ID of the subscription attached to the quote. It corresponds to
                the state at the time of the quote signature. Only applies to
                the `subscription` and `subscription_update` quote types. The
                get subscription endpoint (`GET /v2/subscriptions/{id}`) can be
                used to retrieve the related details.
              example: sub_B6ClkdqNqVNBgY
            child_subscription_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the created subscriptions from the quote. Subscriptions
                configuration can change after the quote signature. The get
                subscription endpoint (`GET /v2/subscriptions/{id}`) can be used
                to retrieve the related details.
              example:
                - sub_0z39oqdhKl0PXb
          required:
            - id
            - customer_id
            - invoicing_entity_id
            - template_id
            - crm_opportunity_id
            - contract_value
            - number
            - comments
            - terms
            - owner_email
            - collect_payment_details
            - collect_custom_property_ids
            - require_tax_id
            - display_quote_value
            - display_quote_value_with_tax
            - display_taxes
            - display_price_tiers
            - display_phase_value
            - display_discounts_on_total
            - display_first_invoice_amount
            - display_documents_in_preview
            - subscription_update_display
            - display_subscription_on_update
            - post_signature_activation_enabled
            - generate_draft_invoices
            - attachments
            - signed_file
            - url
            - created_at
            - updated_at
            - status
            - amount
            - expires_at
            - type
            - subscription_id
            - child_subscription_ids
          title: Quote for subscription (draft)
        - type: object
          properties:
            id:
              type: string
              description: Quote ID.
              example: quo_hXQCd5y8P3GYXa
            customer_id:
              type: string
              description: ID of the customer.
              example: cus_QalW2vTAdkR6IY
            invoicing_entity_id:
              type: string
              description: ID of the invoicing entity attached to the quote.
              example: ive_47484fjdhy5
            template_id:
              type:
                - string
                - 'null'
              description: ID of the quote template.
              example: quot_9hNWq4c84Z146W
            crm_opportunity_id:
              type:
                - string
                - 'null'
              description: ID of the related opportunity/deal in the connected CRM.
              example: opp_Z2oSqnBCUoo1bQ
            contract_value:
              type:
                - number
                - 'null'
              description: >-
                What the customer pays over the contract, each coupon counted on
                the invoices it applies to. Computed from the subscription for
                `subscription` and `subscription_update` quotes, unless set
                manually. Not set on `one_off` quotes.
              example: 18000
            number:
              type: string
              description: Quote sequential number.
              example: '327'
            comments:
              type:
                - string
                - 'null'
              description: Custom comments displayed on the quote.
              example: Please find the contract and subscription details we discussed.
            terms:
              type:
                - string
                - 'null'
              description: Custom quotation terms.
              example: >-
                By signing this quote, you accept our conditions of use for the
                use of our products and services.
            owner_email:
              type:
                - string
                - 'null'
              format: email
              description: >-
                Email address of the Hyperline user acting as the quote owner.
                The owner requests approval when the quote is finalized using an
                API key or finalized during creation.
              example: joe@acme.com
            collect_payment_details:
              type: boolean
              description: >-
                Collect customer payment method mandate during signature flow or
                not.
              example: true
            collect_custom_property_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the customer custom properties required to be filled
                during the signature flow.
              example: []
            require_tax_id:
              type: boolean
              description: >-
                Require the customer to provide a tax ID during the signature
                flow.
              example: false
            display_quote_value:
              type: boolean
              description: Display the total quote value on the quote.
              example: true
            display_quote_value_with_tax:
              type: boolean
              description: >-
                Display the total quote value including tax on the quote. Only
                applies to `one_off` quotes.
              example: false
            display_taxes:
              type: boolean
              description: Display tax breakdown on the quote.
              example: true
            display_price_tiers:
              type: string
              enum:
                - all
                - matching
                - none
              description: >
                Controls which price tiers are displayed on the quote.


                - `all`: Display all pricing tiers.

                - `matching`: Only display the tiers used to compute the price
                based on quantity.

                - `none`: Hide all pricing tiers.
              example: matching
            display_phase_value:
              type: boolean
              description: Display per-phase value breakdown on the quote.
              example: false
            display_discounts_on_total:
              type: boolean
              description: >-
                Display discounts on the totals, with product prices before
                discount. Totals then follow the contract value, so discounts
                with a limited duration are included.
              example: false
            display_first_invoice_amount:
              type: boolean
              description: Display the first invoice amount on the quote.
              example: false
            display_documents_in_preview:
              type: boolean
              description: Display attached documents in the quote preview.
              example: false
            subscription_update_display:
              type: string
              enum:
                - quote_update_details
                - subscription_details
                - both
              description: >-
                Sections displayed on subscription update quotes:
                quote_update_details, subscription_details, or both. Takes
                precedence over display_subscription_on_update.
              example: quote_update_details
            display_subscription_on_update:
              type: boolean
              deprecated: true
              description: >-
                Deprecated. Use subscription_update_display. False displays
                quote update details; true displays both sections.
              example: false
            post_signature_activation_enabled:
              type: boolean
              description: >-
                Whether the subscription is automatically orchestrated after the
                quote is signed. Only applies to the Hyperline CPQ-only product.
              example: true
            generate_draft_invoices:
              type: boolean
              description: >-
                When `true`, the invoice issued after signature stays in `draft`
                status instead of being emitted for payment. Use this when you
                want to review the final invoice manually before sending it.
                Defaults to `false`.
              example: false
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/QuoteFile'
              description: List of documents attached to the quote.
              example:
                - id: quof_5GYXy8P3QCdaXh
                  name: General Conditions of Sale
                  mimetype: application/pdf
            signed_file:
              allOf:
                - $ref: '#/components/schemas/QuoteFile'
                - type:
                    - object
                    - 'null'
                  description: Final signed quote (manually uploaded).
                  example: null
            url:
              type:
                - string
                - 'null'
              format: uri
              description: >-
                URL to access the quote publicly. Only applies to the
                `pending_signature` or `signed` quote.
              example: https://billing.hyperline.co/quote/quo_hXQCd5y8P3GYXa
            created_at:
              type: string
              format: date-time
              description: >-
                Quote creation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T09:10:00.220Z'
            updated_at:
              type: string
              format: date-time
              description: >-
                Quote update date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T10:22:08.100Z'
            status:
              type: string
              enum:
                - draft
              description: >

                Quote status.


                - `draft`: The quote is a draft.

                - `pending_approval`: The quote is pending manager review and
                approval.

                - `changes_requested`: Some changes have been requested
                following manager review.

                - `approved`: The quote is approved and ready to be sent to the
                customer.

                - `pending_signature`: The quote is awaiting the customer's
                signature.

                - `signed`: The quote is signed and fully finalized.

                - `voided`: The quote is voided.
              example: draft
            amount:
              type:
                - number
                - 'null'
              description: Estimated contract value.
              example: 200000
            expires_at:
              type:
                - string
                - 'null'
              format: date-time
              description: >-
                Quote expiration date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: null
            type:
              type: string
              enum:
                - one_off
              description: >

                Quote type.


                - `subscription`: The quote will create and start a new
                subscription.

                - `subscription_update`: The quote will update an existing
                subscription.

                - `one_off`: The quote will issue an one-off invoice.
              example: one_off
            invoice_id:
              type:
                - string
                - 'null'
              description: >-
                ID of the invoice attached to the quote. Only applies to the
                `one_off` quote type. The get invoice endpoint (`GET
                /v1/invoices/{id}`) can be used to retrieve the related details.
              example: inv_0ADWB0lzH52RFt
            subscription_id:
              type:
                - string
                - 'null'
              description: >-
                ID of the subscription the quote invoice is attached to, if any.
                Only applies to the `one_off` quote type. The get subscription
                endpoint (`GET /v2/subscriptions/{id}`) can be used to retrieve
                the related details.
              example: sub_B6ClkdqNqVNBgY
          required:
            - id
            - customer_id
            - invoicing_entity_id
            - template_id
            - crm_opportunity_id
            - contract_value
            - number
            - comments
            - terms
            - owner_email
            - collect_payment_details
            - collect_custom_property_ids
            - require_tax_id
            - display_quote_value
            - display_quote_value_with_tax
            - display_taxes
            - display_price_tiers
            - display_phase_value
            - display_discounts_on_total
            - display_first_invoice_amount
            - display_documents_in_preview
            - subscription_update_display
            - display_subscription_on_update
            - post_signature_activation_enabled
            - generate_draft_invoices
            - attachments
            - signed_file
            - url
            - created_at
            - updated_at
            - status
            - amount
            - expires_at
            - type
            - invoice_id
            - subscription_id
          title: Quote for one-off invoice (draft)
        - type: object
          properties:
            id:
              type: string
              description: Quote ID.
              example: quo_hXQCd5y8P3GYXa
            customer_id:
              type: string
              description: ID of the customer.
              example: cus_QalW2vTAdkR6IY
            invoicing_entity_id:
              type: string
              description: ID of the invoicing entity attached to the quote.
              example: ive_47484fjdhy5
            template_id:
              type:
                - string
                - 'null'
              description: ID of the quote template.
              example: quot_9hNWq4c84Z146W
            crm_opportunity_id:
              type:
                - string
                - 'null'
              description: ID of the related opportunity/deal in the connected CRM.
              example: opp_Z2oSqnBCUoo1bQ
            contract_value:
              type:
                - number
                - 'null'
              description: >-
                What the customer pays over the contract, each coupon counted on
                the invoices it applies to. Computed from the subscription for
                `subscription` and `subscription_update` quotes, unless set
                manually. Not set on `one_off` quotes.
              example: 18000
            number:
              type: string
              description: Quote sequential number.
              example: '327'
            comments:
              type:
                - string
                - 'null'
              description: Custom comments displayed on the quote.
              example: Please find the contract and subscription details we discussed.
            terms:
              type:
                - string
                - 'null'
              description: Custom quotation terms.
              example: >-
                By signing this quote, you accept our conditions of use for the
                use of our products and services.
            owner_email:
              type:
                - string
                - 'null'
              format: email
              description: >-
                Email address of the Hyperline user acting as the quote owner.
                The owner requests approval when the quote is finalized using an
                API key or finalized during creation.
              example: joe@acme.com
            collect_payment_details:
              type: boolean
              description: >-
                Collect customer payment method mandate during signature flow or
                not.
              example: true
            collect_custom_property_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the customer custom properties required to be filled
                during the signature flow.
              example: []
            require_tax_id:
              type: boolean
              description: >-
                Require the customer to provide a tax ID during the signature
                flow.
              example: false
            display_quote_value:
              type: boolean
              description: Display the total quote value on the quote.
              example: true
            display_quote_value_with_tax:
              type: boolean
              description: >-
                Display the total quote value including tax on the quote. Only
                applies to `one_off` quotes.
              example: false
            display_taxes:
              type: boolean
              description: Display tax breakdown on the quote.
              example: true
            display_price_tiers:
              type: string
              enum:
                - all
                - matching
                - none
              description: >
                Controls which price tiers are displayed on the quote.


                - `all`: Display all pricing tiers.

                - `matching`: Only display the tiers used to compute the price
                based on quantity.

                - `none`: Hide all pricing tiers.
              example: matching
            display_phase_value:
              type: boolean
              description: Display per-phase value breakdown on the quote.
              example: false
            display_discounts_on_total:
              type: boolean
              description: >-
                Display discounts on the totals, with product prices before
                discount. Totals then follow the contract value, so discounts
                with a limited duration are included.
              example: false
            display_first_invoice_amount:
              type: boolean
              description: Display the first invoice amount on the quote.
              example: false
            display_documents_in_preview:
              type: boolean
              description: Display attached documents in the quote preview.
              example: false
            subscription_update_display:
              type: string
              enum:
                - quote_update_details
                - subscription_details
                - both
              description: >-
                Sections displayed on subscription update quotes:
                quote_update_details, subscription_details, or both. Takes
                precedence over display_subscription_on_update.
              example: quote_update_details
            display_subscription_on_update:
              type: boolean
              deprecated: true
              description: >-
                Deprecated. Use subscription_update_display. False displays
                quote update details; true displays both sections.
              example: false
            post_signature_activation_enabled:
              type: boolean
              description: >-
                Whether the subscription is automatically orchestrated after the
                quote is signed. Only applies to the Hyperline CPQ-only product.
              example: true
            generate_draft_invoices:
              type: boolean
              description: >-
                When `true`, the invoice issued after signature stays in `draft`
                status instead of being emitted for payment. Use this when you
                want to review the final invoice manually before sending it.
                Defaults to `false`.
              example: false
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/QuoteFile'
              description: List of documents attached to the quote.
              example:
                - id: quof_5GYXy8P3QCdaXh
                  name: General Conditions of Sale
                  mimetype: application/pdf
            signed_file:
              allOf:
                - $ref: '#/components/schemas/QuoteFile'
                - type:
                    - object
                    - 'null'
                  description: Final signed quote (manually uploaded).
                  example: null
            url:
              type:
                - string
                - 'null'
              format: uri
              description: >-
                URL to access the quote publicly. Only applies to the
                `pending_signature` or `signed` quote.
              example: https://billing.hyperline.co/quote/quo_hXQCd5y8P3GYXa
            created_at:
              type: string
              format: date-time
              description: >-
                Quote creation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T09:10:00.220Z'
            updated_at:
              type: string
              format: date-time
              description: >-
                Quote update date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T10:22:08.100Z'
            amount:
              type: number
              description: Estimated contract value.
              example: 20000
            expires_at:
              type: string
              format: date-time
              description: >-
                Quote expiration date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-28T14:12:09.293Z'
            type:
              type: string
              enum:
                - subscription
                - subscription_update
              description: >

                Quote type.


                - `subscription`: The quote will create and start a new
                subscription.

                - `subscription_update`: The quote will update an existing
                subscription.

                - `one_off`: The quote will issue an one-off invoice.
              example: subscription
            subscription_id:
              type: string
              description: >-
                ID of the subscription attached to the quote. It corresponds to
                the state at the time of the quote signature. Only applies to
                the `subscription` and `subscription_update` quote types. The
                get subscription endpoint (`GET /v2/subscriptions/{id}`) can be
                used to retrieve the related details.
              example: sub_B6ClkdqNqVNBgY
            child_subscription_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the created subscriptions from the quote. Subscriptions
                configuration can change after the quote signature. The get
                subscription endpoint (`GET /v2/subscriptions/{id}`) can be used
                to retrieve the related details.
              example:
                - sub_0z39oqdhKl0PXb
            status:
              type: string
              enum:
                - pending_approval
                - changes_requested
              description: >

                Quote status.


                - `draft`: The quote is a draft.

                - `pending_approval`: The quote is pending manager review and
                approval.

                - `changes_requested`: Some changes have been requested
                following manager review.

                - `approved`: The quote is approved and ready to be sent to the
                customer.

                - `pending_signature`: The quote is awaiting the customer's
                signature.

                - `signed`: The quote is signed and fully finalized.

                - `voided`: The quote is voided.
              example: pending_approval
          required:
            - id
            - customer_id
            - invoicing_entity_id
            - template_id
            - crm_opportunity_id
            - contract_value
            - number
            - comments
            - terms
            - owner_email
            - collect_payment_details
            - collect_custom_property_ids
            - require_tax_id
            - display_quote_value
            - display_quote_value_with_tax
            - display_taxes
            - display_price_tiers
            - display_phase_value
            - display_discounts_on_total
            - display_first_invoice_amount
            - display_documents_in_preview
            - subscription_update_display
            - display_subscription_on_update
            - post_signature_activation_enabled
            - generate_draft_invoices
            - attachments
            - signed_file
            - url
            - created_at
            - updated_at
            - amount
            - expires_at
            - type
            - subscription_id
            - child_subscription_ids
            - status
          title: Quote for subscription (approval)
        - type: object
          properties:
            id:
              type: string
              description: Quote ID.
              example: quo_hXQCd5y8P3GYXa
            customer_id:
              type: string
              description: ID of the customer.
              example: cus_QalW2vTAdkR6IY
            invoicing_entity_id:
              type: string
              description: ID of the invoicing entity attached to the quote.
              example: ive_47484fjdhy5
            template_id:
              type:
                - string
                - 'null'
              description: ID of the quote template.
              example: quot_9hNWq4c84Z146W
            crm_opportunity_id:
              type:
                - string
                - 'null'
              description: ID of the related opportunity/deal in the connected CRM.
              example: opp_Z2oSqnBCUoo1bQ
            contract_value:
              type:
                - number
                - 'null'
              description: >-
                What the customer pays over the contract, each coupon counted on
                the invoices it applies to. Computed from the subscription for
                `subscription` and `subscription_update` quotes, unless set
                manually. Not set on `one_off` quotes.
              example: 18000
            number:
              type: string
              description: Quote sequential number.
              example: '327'
            comments:
              type:
                - string
                - 'null'
              description: Custom comments displayed on the quote.
              example: Please find the contract and subscription details we discussed.
            terms:
              type:
                - string
                - 'null'
              description: Custom quotation terms.
              example: >-
                By signing this quote, you accept our conditions of use for the
                use of our products and services.
            owner_email:
              type:
                - string
                - 'null'
              format: email
              description: >-
                Email address of the Hyperline user acting as the quote owner.
                The owner requests approval when the quote is finalized using an
                API key or finalized during creation.
              example: joe@acme.com
            collect_payment_details:
              type: boolean
              description: >-
                Collect customer payment method mandate during signature flow or
                not.
              example: true
            collect_custom_property_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the customer custom properties required to be filled
                during the signature flow.
              example: []
            require_tax_id:
              type: boolean
              description: >-
                Require the customer to provide a tax ID during the signature
                flow.
              example: false
            display_quote_value:
              type: boolean
              description: Display the total quote value on the quote.
              example: true
            display_quote_value_with_tax:
              type: boolean
              description: >-
                Display the total quote value including tax on the quote. Only
                applies to `one_off` quotes.
              example: false
            display_taxes:
              type: boolean
              description: Display tax breakdown on the quote.
              example: true
            display_price_tiers:
              type: string
              enum:
                - all
                - matching
                - none
              description: >
                Controls which price tiers are displayed on the quote.


                - `all`: Display all pricing tiers.

                - `matching`: Only display the tiers used to compute the price
                based on quantity.

                - `none`: Hide all pricing tiers.
              example: matching
            display_phase_value:
              type: boolean
              description: Display per-phase value breakdown on the quote.
              example: false
            display_discounts_on_total:
              type: boolean
              description: >-
                Display discounts on the totals, with product prices before
                discount. Totals then follow the contract value, so discounts
                with a limited duration are included.
              example: false
            display_first_invoice_amount:
              type: boolean
              description: Display the first invoice amount on the quote.
              example: false
            display_documents_in_preview:
              type: boolean
              description: Display attached documents in the quote preview.
              example: false
            subscription_update_display:
              type: string
              enum:
                - quote_update_details
                - subscription_details
                - both
              description: >-
                Sections displayed on subscription update quotes:
                quote_update_details, subscription_details, or both. Takes
                precedence over display_subscription_on_update.
              example: quote_update_details
            display_subscription_on_update:
              type: boolean
              deprecated: true
              description: >-
                Deprecated. Use subscription_update_display. False displays
                quote update details; true displays both sections.
              example: false
            post_signature_activation_enabled:
              type: boolean
              description: >-
                Whether the subscription is automatically orchestrated after the
                quote is signed. Only applies to the Hyperline CPQ-only product.
              example: true
            generate_draft_invoices:
              type: boolean
              description: >-
                When `true`, the invoice issued after signature stays in `draft`
                status instead of being emitted for payment. Use this when you
                want to review the final invoice manually before sending it.
                Defaults to `false`.
              example: false
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/QuoteFile'
              description: List of documents attached to the quote.
              example:
                - id: quof_5GYXy8P3QCdaXh
                  name: General Conditions of Sale
                  mimetype: application/pdf
            signed_file:
              allOf:
                - $ref: '#/components/schemas/QuoteFile'
                - type:
                    - object
                    - 'null'
                  description: Final signed quote (manually uploaded).
                  example: null
            url:
              type:
                - string
                - 'null'
              format: uri
              description: >-
                URL to access the quote publicly. Only applies to the
                `pending_signature` or `signed` quote.
              example: https://billing.hyperline.co/quote/quo_hXQCd5y8P3GYXa
            created_at:
              type: string
              format: date-time
              description: >-
                Quote creation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T09:10:00.220Z'
            updated_at:
              type: string
              format: date-time
              description: >-
                Quote update date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T10:22:08.100Z'
            amount:
              type: number
              description: Estimated contract value.
              example: 20000
            expires_at:
              type: string
              format: date-time
              description: >-
                Quote expiration date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-28T14:12:09.293Z'
            type:
              type: string
              enum:
                - subscription
                - subscription_update
              description: >

                Quote type.


                - `subscription`: The quote will create and start a new
                subscription.

                - `subscription_update`: The quote will update an existing
                subscription.

                - `one_off`: The quote will issue an one-off invoice.
              example: subscription
            subscription_id:
              type: string
              description: >-
                ID of the subscription attached to the quote. It corresponds to
                the state at the time of the quote signature. Only applies to
                the `subscription` and `subscription_update` quote types. The
                get subscription endpoint (`GET /v2/subscriptions/{id}`) can be
                used to retrieve the related details.
              example: sub_B6ClkdqNqVNBgY
            child_subscription_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the created subscriptions from the quote. Subscriptions
                configuration can change after the quote signature. The get
                subscription endpoint (`GET /v2/subscriptions/{id}`) can be used
                to retrieve the related details.
              example:
                - sub_0z39oqdhKl0PXb
            status:
              type: string
              enum:
                - approved
                - pending_signature
              description: >

                Quote status.


                - `draft`: The quote is a draft.

                - `pending_approval`: The quote is pending manager review and
                approval.

                - `changes_requested`: Some changes have been requested
                following manager review.

                - `approved`: The quote is approved and ready to be sent to the
                customer.

                - `pending_signature`: The quote is awaiting the customer's
                signature.

                - `signed`: The quote is signed and fully finalized.

                - `voided`: The quote is voided.
              example: pending_signature
            approved_at:
              type: string
              format: date-time
              description: >-
                Quote approbation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-24T09:10:00.220Z'
          required:
            - id
            - customer_id
            - invoicing_entity_id
            - template_id
            - crm_opportunity_id
            - contract_value
            - number
            - comments
            - terms
            - owner_email
            - collect_payment_details
            - collect_custom_property_ids
            - require_tax_id
            - display_quote_value
            - display_quote_value_with_tax
            - display_taxes
            - display_price_tiers
            - display_phase_value
            - display_discounts_on_total
            - display_first_invoice_amount
            - display_documents_in_preview
            - subscription_update_display
            - display_subscription_on_update
            - post_signature_activation_enabled
            - generate_draft_invoices
            - attachments
            - signed_file
            - url
            - created_at
            - updated_at
            - amount
            - expires_at
            - type
            - subscription_id
            - child_subscription_ids
            - status
            - approved_at
          title: Quote for subscription (ready)
        - type: object
          properties:
            id:
              type: string
              description: Quote ID.
              example: quo_hXQCd5y8P3GYXa
            customer_id:
              type: string
              description: ID of the customer.
              example: cus_QalW2vTAdkR6IY
            invoicing_entity_id:
              type: string
              description: ID of the invoicing entity attached to the quote.
              example: ive_47484fjdhy5
            template_id:
              type:
                - string
                - 'null'
              description: ID of the quote template.
              example: quot_9hNWq4c84Z146W
            crm_opportunity_id:
              type:
                - string
                - 'null'
              description: ID of the related opportunity/deal in the connected CRM.
              example: opp_Z2oSqnBCUoo1bQ
            contract_value:
              type:
                - number
                - 'null'
              description: >-
                What the customer pays over the contract, each coupon counted on
                the invoices it applies to. Computed from the subscription for
                `subscription` and `subscription_update` quotes, unless set
                manually. Not set on `one_off` quotes.
              example: 18000
            number:
              type: string
              description: Quote sequential number.
              example: '327'
            comments:
              type:
                - string
                - 'null'
              description: Custom comments displayed on the quote.
              example: Please find the contract and subscription details we discussed.
            terms:
              type:
                - string
                - 'null'
              description: Custom quotation terms.
              example: >-
                By signing this quote, you accept our conditions of use for the
                use of our products and services.
            owner_email:
              type:
                - string
                - 'null'
              format: email
              description: >-
                Email address of the Hyperline user acting as the quote owner.
                The owner requests approval when the quote is finalized using an
                API key or finalized during creation.
              example: joe@acme.com
            collect_payment_details:
              type: boolean
              description: >-
                Collect customer payment method mandate during signature flow or
                not.
              example: true
            collect_custom_property_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the customer custom properties required to be filled
                during the signature flow.
              example: []
            require_tax_id:
              type: boolean
              description: >-
                Require the customer to provide a tax ID during the signature
                flow.
              example: false
            display_quote_value:
              type: boolean
              description: Display the total quote value on the quote.
              example: true
            display_quote_value_with_tax:
              type: boolean
              description: >-
                Display the total quote value including tax on the quote. Only
                applies to `one_off` quotes.
              example: false
            display_taxes:
              type: boolean
              description: Display tax breakdown on the quote.
              example: true
            display_price_tiers:
              type: string
              enum:
                - all
                - matching
                - none
              description: >
                Controls which price tiers are displayed on the quote.


                - `all`: Display all pricing tiers.

                - `matching`: Only display the tiers used to compute the price
                based on quantity.

                - `none`: Hide all pricing tiers.
              example: matching
            display_phase_value:
              type: boolean
              description: Display per-phase value breakdown on the quote.
              example: false
            display_discounts_on_total:
              type: boolean
              description: >-
                Display discounts on the totals, with product prices before
                discount. Totals then follow the contract value, so discounts
                with a limited duration are included.
              example: false
            display_first_invoice_amount:
              type: boolean
              description: Display the first invoice amount on the quote.
              example: false
            display_documents_in_preview:
              type: boolean
              description: Display attached documents in the quote preview.
              example: false
            subscription_update_display:
              type: string
              enum:
                - quote_update_details
                - subscription_details
                - both
              description: >-
                Sections displayed on subscription update quotes:
                quote_update_details, subscription_details, or both. Takes
                precedence over display_subscription_on_update.
              example: quote_update_details
            display_subscription_on_update:
              type: boolean
              deprecated: true
              description: >-
                Deprecated. Use subscription_update_display. False displays
                quote update details; true displays both sections.
              example: false
            post_signature_activation_enabled:
              type: boolean
              description: >-
                Whether the subscription is automatically orchestrated after the
                quote is signed. Only applies to the Hyperline CPQ-only product.
              example: true
            generate_draft_invoices:
              type: boolean
              description: >-
                When `true`, the invoice issued after signature stays in `draft`
                status instead of being emitted for payment. Use this when you
                want to review the final invoice manually before sending it.
                Defaults to `false`.
              example: false
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/QuoteFile'
              description: List of documents attached to the quote.
              example:
                - id: quof_5GYXy8P3QCdaXh
                  name: General Conditions of Sale
                  mimetype: application/pdf
            signed_file:
              allOf:
                - $ref: '#/components/schemas/QuoteFile'
                - type:
                    - object
                    - 'null'
                  description: Final signed quote (manually uploaded).
                  example: null
            url:
              type:
                - string
                - 'null'
              format: uri
              description: >-
                URL to access the quote publicly. Only applies to the
                `pending_signature` or `signed` quote.
              example: https://billing.hyperline.co/quote/quo_hXQCd5y8P3GYXa
            created_at:
              type: string
              format: date-time
              description: >-
                Quote creation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T09:10:00.220Z'
            updated_at:
              type: string
              format: date-time
              description: >-
                Quote update date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T10:22:08.100Z'
            amount:
              type: number
              description: Estimated contract value.
              example: 20000
            expires_at:
              type: string
              format: date-time
              description: >-
                Quote expiration date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-28T14:12:09.293Z'
            type:
              type: string
              enum:
                - subscription
                - subscription_update
              description: >

                Quote type.


                - `subscription`: The quote will create and start a new
                subscription.

                - `subscription_update`: The quote will update an existing
                subscription.

                - `one_off`: The quote will issue an one-off invoice.
              example: subscription
            subscription_id:
              type: string
              description: >-
                ID of the subscription attached to the quote. It corresponds to
                the state at the time of the quote signature. Only applies to
                the `subscription` and `subscription_update` quote types. The
                get subscription endpoint (`GET /v2/subscriptions/{id}`) can be
                used to retrieve the related details.
              example: sub_B6ClkdqNqVNBgY
            child_subscription_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the created subscriptions from the quote. Subscriptions
                configuration can change after the quote signature. The get
                subscription endpoint (`GET /v2/subscriptions/{id}`) can be used
                to retrieve the related details.
              example:
                - sub_0z39oqdhKl0PXb
            status:
              type: string
              enum:
                - signed
              description: >

                Quote status.


                - `draft`: The quote is a draft.

                - `pending_approval`: The quote is pending manager review and
                approval.

                - `changes_requested`: Some changes have been requested
                following manager review.

                - `approved`: The quote is approved and ready to be sent to the
                customer.

                - `pending_signature`: The quote is awaiting the customer's
                signature.

                - `signed`: The quote is signed and fully finalized.

                - `voided`: The quote is voided.
              example: signed
            approved_at:
              type: string
              format: date-time
              description: >-
                Quote approbation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-24T09:10:00.220Z'
            signature:
              oneOf:
                - type: object
                  properties:
                    mode:
                      type: string
                      enum:
                        - basic
                      description: >

                        Signature mode.


                        - `basic`: Basic signature. The signer manually put his
                        name. No legal value.

                        - `electronic`: Certified electronic signature. Legally
                        compliant.

                        - `external`: Signed outside of Hyperline. A signed file
                        has been uploaded.
                      example: basic
                    signerName:
                      type: string
                      description: Signer name of the quote.
                      example: Acme
                  required:
                    - mode
                    - signerName
                - type: object
                  properties:
                    mode:
                      type: string
                      enum:
                        - electronic
                      description: >

                        Signature mode.


                        - `basic`: Basic signature. The signer manually put his
                        name. No legal value.

                        - `electronic`: Certified electronic signature. Legally
                        compliant.

                        - `external`: Signed outside of Hyperline. A signed file
                        has been uploaded.
                      example: electronic
                    signerName:
                      type: string
                      description: Signer name of the quote.
                      example: Acme
                  required:
                    - mode
                    - signerName
                - type: object
                  properties:
                    mode:
                      type: string
                      enum:
                        - external
                      description: >

                        Signature mode.


                        - `basic`: Basic signature. The signer manually put his
                        name. No legal value.

                        - `electronic`: Certified electronic signature. Legally
                        compliant.

                        - `external`: Signed outside of Hyperline. A signed file
                        has been uploaded.
                      example: external
                  required:
                    - mode
              description: Quote signature. Only applies to the `signed` quote.
              example:
                mode: basic
                signerName: Acme
            signed_at:
              type: string
              format: date-time
              description: Quote signature date. Only applies to the `signed` quote.
              example: '2024-04-25T12:22:08.100Z'
          required:
            - id
            - customer_id
            - invoicing_entity_id
            - template_id
            - crm_opportunity_id
            - contract_value
            - number
            - comments
            - terms
            - owner_email
            - collect_payment_details
            - collect_custom_property_ids
            - require_tax_id
            - display_quote_value
            - display_quote_value_with_tax
            - display_taxes
            - display_price_tiers
            - display_phase_value
            - display_discounts_on_total
            - display_first_invoice_amount
            - display_documents_in_preview
            - subscription_update_display
            - display_subscription_on_update
            - post_signature_activation_enabled
            - generate_draft_invoices
            - attachments
            - signed_file
            - url
            - created_at
            - updated_at
            - amount
            - expires_at
            - type
            - subscription_id
            - child_subscription_ids
            - status
            - approved_at
            - signature
            - signed_at
          title: Quote for subscription (signed)
        - type: object
          properties:
            id:
              type: string
              description: Quote ID.
              example: quo_hXQCd5y8P3GYXa
            customer_id:
              type: string
              description: ID of the customer.
              example: cus_QalW2vTAdkR6IY
            invoicing_entity_id:
              type: string
              description: ID of the invoicing entity attached to the quote.
              example: ive_47484fjdhy5
            template_id:
              type:
                - string
                - 'null'
              description: ID of the quote template.
              example: quot_9hNWq4c84Z146W
            crm_opportunity_id:
              type:
                - string
                - 'null'
              description: ID of the related opportunity/deal in the connected CRM.
              example: opp_Z2oSqnBCUoo1bQ
            contract_value:
              type:
                - number
                - 'null'
              description: >-
                What the customer pays over the contract, each coupon counted on
                the invoices it applies to. Computed from the subscription for
                `subscription` and `subscription_update` quotes, unless set
                manually. Not set on `one_off` quotes.
              example: 18000
            number:
              type: string
              description: Quote sequential number.
              example: '327'
            comments:
              type:
                - string
                - 'null'
              description: Custom comments displayed on the quote.
              example: Please find the contract and subscription details we discussed.
            terms:
              type:
                - string
                - 'null'
              description: Custom quotation terms.
              example: >-
                By signing this quote, you accept our conditions of use for the
                use of our products and services.
            owner_email:
              type:
                - string
                - 'null'
              format: email
              description: >-
                Email address of the Hyperline user acting as the quote owner.
                The owner requests approval when the quote is finalized using an
                API key or finalized during creation.
              example: joe@acme.com
            collect_payment_details:
              type: boolean
              description: >-
                Collect customer payment method mandate during signature flow or
                not.
              example: true
            collect_custom_property_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the customer custom properties required to be filled
                during the signature flow.
              example: []
            require_tax_id:
              type: boolean
              description: >-
                Require the customer to provide a tax ID during the signature
                flow.
              example: false
            display_quote_value:
              type: boolean
              description: Display the total quote value on the quote.
              example: true
            display_quote_value_with_tax:
              type: boolean
              description: >-
                Display the total quote value including tax on the quote. Only
                applies to `one_off` quotes.
              example: false
            display_taxes:
              type: boolean
              description: Display tax breakdown on the quote.
              example: true
            display_price_tiers:
              type: string
              enum:
                - all
                - matching
                - none
              description: >
                Controls which price tiers are displayed on the quote.


                - `all`: Display all pricing tiers.

                - `matching`: Only display the tiers used to compute the price
                based on quantity.

                - `none`: Hide all pricing tiers.
              example: matching
            display_phase_value:
              type: boolean
              description: Display per-phase value breakdown on the quote.
              example: false
            display_discounts_on_total:
              type: boolean
              description: >-
                Display discounts on the totals, with product prices before
                discount. Totals then follow the contract value, so discounts
                with a limited duration are included.
              example: false
            display_first_invoice_amount:
              type: boolean
              description: Display the first invoice amount on the quote.
              example: false
            display_documents_in_preview:
              type: boolean
              description: Display attached documents in the quote preview.
              example: false
            subscription_update_display:
              type: string
              enum:
                - quote_update_details
                - subscription_details
                - both
              description: >-
                Sections displayed on subscription update quotes:
                quote_update_details, subscription_details, or both. Takes
                precedence over display_subscription_on_update.
              example: quote_update_details
            display_subscription_on_update:
              type: boolean
              deprecated: true
              description: >-
                Deprecated. Use subscription_update_display. False displays
                quote update details; true displays both sections.
              example: false
            post_signature_activation_enabled:
              type: boolean
              description: >-
                Whether the subscription is automatically orchestrated after the
                quote is signed. Only applies to the Hyperline CPQ-only product.
              example: true
            generate_draft_invoices:
              type: boolean
              description: >-
                When `true`, the invoice issued after signature stays in `draft`
                status instead of being emitted for payment. Use this when you
                want to review the final invoice manually before sending it.
                Defaults to `false`.
              example: false
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/QuoteFile'
              description: List of documents attached to the quote.
              example:
                - id: quof_5GYXy8P3QCdaXh
                  name: General Conditions of Sale
                  mimetype: application/pdf
            signed_file:
              allOf:
                - $ref: '#/components/schemas/QuoteFile'
                - type:
                    - object
                    - 'null'
                  description: Final signed quote (manually uploaded).
                  example: null
            url:
              type:
                - string
                - 'null'
              format: uri
              description: >-
                URL to access the quote publicly. Only applies to the
                `pending_signature` or `signed` quote.
              example: https://billing.hyperline.co/quote/quo_hXQCd5y8P3GYXa
            created_at:
              type: string
              format: date-time
              description: >-
                Quote creation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T09:10:00.220Z'
            updated_at:
              type: string
              format: date-time
              description: >-
                Quote update date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T10:22:08.100Z'
            amount:
              type: number
              description: Estimated contract value.
              example: 20000
            expires_at:
              type: string
              format: date-time
              description: >-
                Quote expiration date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-28T14:12:09.293Z'
            type:
              type: string
              enum:
                - one_off
              description: >

                Quote type.


                - `subscription`: The quote will create and start a new
                subscription.

                - `subscription_update`: The quote will update an existing
                subscription.

                - `one_off`: The quote will issue an one-off invoice.
              example: one_off
            invoice_id:
              type: string
              description: >-
                ID of the invoice attached to the quote. Only applies to the
                `one_off` quote type. The get invoice endpoint (`GET
                /v1/invoices/{id}`) can be used to retrieve the related details.
              example: inv_0ADWB0lzH52RFt
            subscription_id:
              type:
                - string
                - 'null'
              description: >-
                ID of the subscription the quote invoice is attached to, if any.
                Only applies to the `one_off` quote type. The get subscription
                endpoint (`GET /v2/subscriptions/{id}`) can be used to retrieve
                the related details.
              example: sub_B6ClkdqNqVNBgY
            status:
              type: string
              enum:
                - pending_approval
                - changes_requested
              description: >

                Quote status.


                - `draft`: The quote is a draft.

                - `pending_approval`: The quote is pending manager review and
                approval.

                - `changes_requested`: Some changes have been requested
                following manager review.

                - `approved`: The quote is approved and ready to be sent to the
                customer.

                - `pending_signature`: The quote is awaiting the customer's
                signature.

                - `signed`: The quote is signed and fully finalized.

                - `voided`: The quote is voided.
              example: pending_approval
          required:
            - id
            - customer_id
            - invoicing_entity_id
            - template_id
            - crm_opportunity_id
            - contract_value
            - number
            - comments
            - terms
            - owner_email
            - collect_payment_details
            - collect_custom_property_ids
            - require_tax_id
            - display_quote_value
            - display_quote_value_with_tax
            - display_taxes
            - display_price_tiers
            - display_phase_value
            - display_discounts_on_total
            - display_first_invoice_amount
            - display_documents_in_preview
            - subscription_update_display
            - display_subscription_on_update
            - post_signature_activation_enabled
            - generate_draft_invoices
            - attachments
            - signed_file
            - url
            - created_at
            - updated_at
            - amount
            - expires_at
            - type
            - invoice_id
            - subscription_id
            - status
          title: Quote for one-off invoice (approval)
        - type: object
          properties:
            id:
              type: string
              description: Quote ID.
              example: quo_hXQCd5y8P3GYXa
            customer_id:
              type: string
              description: ID of the customer.
              example: cus_QalW2vTAdkR6IY
            invoicing_entity_id:
              type: string
              description: ID of the invoicing entity attached to the quote.
              example: ive_47484fjdhy5
            template_id:
              type:
                - string
                - 'null'
              description: ID of the quote template.
              example: quot_9hNWq4c84Z146W
            crm_opportunity_id:
              type:
                - string
                - 'null'
              description: ID of the related opportunity/deal in the connected CRM.
              example: opp_Z2oSqnBCUoo1bQ
            contract_value:
              type:
                - number
                - 'null'
              description: >-
                What the customer pays over the contract, each coupon counted on
                the invoices it applies to. Computed from the subscription for
                `subscription` and `subscription_update` quotes, unless set
                manually. Not set on `one_off` quotes.
              example: 18000
            number:
              type: string
              description: Quote sequential number.
              example: '327'
            comments:
              type:
                - string
                - 'null'
              description: Custom comments displayed on the quote.
              example: Please find the contract and subscription details we discussed.
            terms:
              type:
                - string
                - 'null'
              description: Custom quotation terms.
              example: >-
                By signing this quote, you accept our conditions of use for the
                use of our products and services.
            owner_email:
              type:
                - string
                - 'null'
              format: email
              description: >-
                Email address of the Hyperline user acting as the quote owner.
                The owner requests approval when the quote is finalized using an
                API key or finalized during creation.
              example: joe@acme.com
            collect_payment_details:
              type: boolean
              description: >-
                Collect customer payment method mandate during signature flow or
                not.
              example: true
            collect_custom_property_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the customer custom properties required to be filled
                during the signature flow.
              example: []
            require_tax_id:
              type: boolean
              description: >-
                Require the customer to provide a tax ID during the signature
                flow.
              example: false
            display_quote_value:
              type: boolean
              description: Display the total quote value on the quote.
              example: true
            display_quote_value_with_tax:
              type: boolean
              description: >-
                Display the total quote value including tax on the quote. Only
                applies to `one_off` quotes.
              example: false
            display_taxes:
              type: boolean
              description: Display tax breakdown on the quote.
              example: true
            display_price_tiers:
              type: string
              enum:
                - all
                - matching
                - none
              description: >
                Controls which price tiers are displayed on the quote.


                - `all`: Display all pricing tiers.

                - `matching`: Only display the tiers used to compute the price
                based on quantity.

                - `none`: Hide all pricing tiers.
              example: matching
            display_phase_value:
              type: boolean
              description: Display per-phase value breakdown on the quote.
              example: false
            display_discounts_on_total:
              type: boolean
              description: >-
                Display discounts on the totals, with product prices before
                discount. Totals then follow the contract value, so discounts
                with a limited duration are included.
              example: false
            display_first_invoice_amount:
              type: boolean
              description: Display the first invoice amount on the quote.
              example: false
            display_documents_in_preview:
              type: boolean
              description: Display attached documents in the quote preview.
              example: false
            subscription_update_display:
              type: string
              enum:
                - quote_update_details
                - subscription_details
                - both
              description: >-
                Sections displayed on subscription update quotes:
                quote_update_details, subscription_details, or both. Takes
                precedence over display_subscription_on_update.
              example: quote_update_details
            display_subscription_on_update:
              type: boolean
              deprecated: true
              description: >-
                Deprecated. Use subscription_update_display. False displays
                quote update details; true displays both sections.
              example: false
            post_signature_activation_enabled:
              type: boolean
              description: >-
                Whether the subscription is automatically orchestrated after the
                quote is signed. Only applies to the Hyperline CPQ-only product.
              example: true
            generate_draft_invoices:
              type: boolean
              description: >-
                When `true`, the invoice issued after signature stays in `draft`
                status instead of being emitted for payment. Use this when you
                want to review the final invoice manually before sending it.
                Defaults to `false`.
              example: false
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/QuoteFile'
              description: List of documents attached to the quote.
              example:
                - id: quof_5GYXy8P3QCdaXh
                  name: General Conditions of Sale
                  mimetype: application/pdf
            signed_file:
              allOf:
                - $ref: '#/components/schemas/QuoteFile'
                - type:
                    - object
                    - 'null'
                  description: Final signed quote (manually uploaded).
                  example: null
            url:
              type:
                - string
                - 'null'
              format: uri
              description: >-
                URL to access the quote publicly. Only applies to the
                `pending_signature` or `signed` quote.
              example: https://billing.hyperline.co/quote/quo_hXQCd5y8P3GYXa
            created_at:
              type: string
              format: date-time
              description: >-
                Quote creation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T09:10:00.220Z'
            updated_at:
              type: string
              format: date-time
              description: >-
                Quote update date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T10:22:08.100Z'
            amount:
              type: number
              description: Estimated contract value.
              example: 20000
            expires_at:
              type: string
              format: date-time
              description: >-
                Quote expiration date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-28T14:12:09.293Z'
            type:
              type: string
              enum:
                - one_off
              description: >

                Quote type.


                - `subscription`: The quote will create and start a new
                subscription.

                - `subscription_update`: The quote will update an existing
                subscription.

                - `one_off`: The quote will issue an one-off invoice.
              example: one_off
            invoice_id:
              type: string
              description: >-
                ID of the invoice attached to the quote. Only applies to the
                `one_off` quote type. The get invoice endpoint (`GET
                /v1/invoices/{id}`) can be used to retrieve the related details.
              example: inv_0ADWB0lzH52RFt
            subscription_id:
              type:
                - string
                - 'null'
              description: >-
                ID of the subscription the quote invoice is attached to, if any.
                Only applies to the `one_off` quote type. The get subscription
                endpoint (`GET /v2/subscriptions/{id}`) can be used to retrieve
                the related details.
              example: sub_B6ClkdqNqVNBgY
            status:
              type: string
              enum:
                - approved
                - pending_signature
              description: >

                Quote status.


                - `draft`: The quote is a draft.

                - `pending_approval`: The quote is pending manager review and
                approval.

                - `changes_requested`: Some changes have been requested
                following manager review.

                - `approved`: The quote is approved and ready to be sent to the
                customer.

                - `pending_signature`: The quote is awaiting the customer's
                signature.

                - `signed`: The quote is signed and fully finalized.

                - `voided`: The quote is voided.
              example: pending_signature
            approved_at:
              type: string
              format: date-time
              description: >-
                Quote approbation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-24T09:10:00.220Z'
          required:
            - id
            - customer_id
            - invoicing_entity_id
            - template_id
            - crm_opportunity_id
            - contract_value
            - number
            - comments
            - terms
            - owner_email
            - collect_payment_details
            - collect_custom_property_ids
            - require_tax_id
            - display_quote_value
            - display_quote_value_with_tax
            - display_taxes
            - display_price_tiers
            - display_phase_value
            - display_discounts_on_total
            - display_first_invoice_amount
            - display_documents_in_preview
            - subscription_update_display
            - display_subscription_on_update
            - post_signature_activation_enabled
            - generate_draft_invoices
            - attachments
            - signed_file
            - url
            - created_at
            - updated_at
            - amount
            - expires_at
            - type
            - invoice_id
            - subscription_id
            - status
            - approved_at
          title: Quote for one-off invoice (ready)
        - type: object
          properties:
            id:
              type: string
              description: Quote ID.
              example: quo_hXQCd5y8P3GYXa
            customer_id:
              type: string
              description: ID of the customer.
              example: cus_QalW2vTAdkR6IY
            invoicing_entity_id:
              type: string
              description: ID of the invoicing entity attached to the quote.
              example: ive_47484fjdhy5
            template_id:
              type:
                - string
                - 'null'
              description: ID of the quote template.
              example: quot_9hNWq4c84Z146W
            crm_opportunity_id:
              type:
                - string
                - 'null'
              description: ID of the related opportunity/deal in the connected CRM.
              example: opp_Z2oSqnBCUoo1bQ
            contract_value:
              type:
                - number
                - 'null'
              description: >-
                What the customer pays over the contract, each coupon counted on
                the invoices it applies to. Computed from the subscription for
                `subscription` and `subscription_update` quotes, unless set
                manually. Not set on `one_off` quotes.
              example: 18000
            number:
              type: string
              description: Quote sequential number.
              example: '327'
            comments:
              type:
                - string
                - 'null'
              description: Custom comments displayed on the quote.
              example: Please find the contract and subscription details we discussed.
            terms:
              type:
                - string
                - 'null'
              description: Custom quotation terms.
              example: >-
                By signing this quote, you accept our conditions of use for the
                use of our products and services.
            owner_email:
              type:
                - string
                - 'null'
              format: email
              description: >-
                Email address of the Hyperline user acting as the quote owner.
                The owner requests approval when the quote is finalized using an
                API key or finalized during creation.
              example: joe@acme.com
            collect_payment_details:
              type: boolean
              description: >-
                Collect customer payment method mandate during signature flow or
                not.
              example: true
            collect_custom_property_ids:
              type: array
              items:
                type: string
              description: >-
                IDs of the customer custom properties required to be filled
                during the signature flow.
              example: []
            require_tax_id:
              type: boolean
              description: >-
                Require the customer to provide a tax ID during the signature
                flow.
              example: false
            display_quote_value:
              type: boolean
              description: Display the total quote value on the quote.
              example: true
            display_quote_value_with_tax:
              type: boolean
              description: >-
                Display the total quote value including tax on the quote. Only
                applies to `one_off` quotes.
              example: false
            display_taxes:
              type: boolean
              description: Display tax breakdown on the quote.
              example: true
            display_price_tiers:
              type: string
              enum:
                - all
                - matching
                - none
              description: >
                Controls which price tiers are displayed on the quote.


                - `all`: Display all pricing tiers.

                - `matching`: Only display the tiers used to compute the price
                based on quantity.

                - `none`: Hide all pricing tiers.
              example: matching
            display_phase_value:
              type: boolean
              description: Display per-phase value breakdown on the quote.
              example: false
            display_discounts_on_total:
              type: boolean
              description: >-
                Display discounts on the totals, with product prices before
                discount. Totals then follow the contract value, so discounts
                with a limited duration are included.
              example: false
            display_first_invoice_amount:
              type: boolean
              description: Display the first invoice amount on the quote.
              example: false
            display_documents_in_preview:
              type: boolean
              description: Display attached documents in the quote preview.
              example: false
            subscription_update_display:
              type: string
              enum:
                - quote_update_details
                - subscription_details
                - both
              description: >-
                Sections displayed on subscription update quotes:
                quote_update_details, subscription_details, or both. Takes
                precedence over display_subscription_on_update.
              example: quote_update_details
            display_subscription_on_update:
              type: boolean
              deprecated: true
              description: >-
                Deprecated. Use subscription_update_display. False displays
                quote update details; true displays both sections.
              example: false
            post_signature_activation_enabled:
              type: boolean
              description: >-
                Whether the subscription is automatically orchestrated after the
                quote is signed. Only applies to the Hyperline CPQ-only product.
              example: true
            generate_draft_invoices:
              type: boolean
              description: >-
                When `true`, the invoice issued after signature stays in `draft`
                status instead of being emitted for payment. Use this when you
                want to review the final invoice manually before sending it.
                Defaults to `false`.
              example: false
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/QuoteFile'
              description: List of documents attached to the quote.
              example:
                - id: quof_5GYXy8P3QCdaXh
                  name: General Conditions of Sale
                  mimetype: application/pdf
            signed_file:
              allOf:
                - $ref: '#/components/schemas/QuoteFile'
                - type:
                    - object
                    - 'null'
                  description: Final signed quote (manually uploaded).
                  example: null
            url:
              type:
                - string
                - 'null'
              format: uri
              description: >-
                URL to access the quote publicly. Only applies to the
                `pending_signature` or `signed` quote.
              example: https://billing.hyperline.co/quote/quo_hXQCd5y8P3GYXa
            created_at:
              type: string
              format: date-time
              description: >-
                Quote creation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T09:10:00.220Z'
            updated_at:
              type: string
              format: date-time
              description: >-
                Quote update date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-23T10:22:08.100Z'
            amount:
              type: number
              description: Estimated contract value.
              example: 20000
            expires_at:
              type: string
              format: date-time
              description: >-
                Quote expiration date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2024-04-28T14:12:09.293Z'
            type:
              type: string
              enum:
                - one_off
              description: >

                Quote type.


                - `subscription`: The quote will create and start a new
                subscription.

                - `subscription_update`: The quote will update an existing
                subscription.

                - `one_off`: The quote will issue an one-off invoice.
              example: one_off
            invoice_id:
              type: string
              description: >-
                ID of the invoice attached to the quote. Only applies to the
                `one_off` quote type. The get invoice endpoint (`GET
                /v1/invoices/{id}`) can be used to retrieve the related details.
              example: inv_0ADWB0lzH52RFt
            subscription_id:
              type:
                - string
                - 'null'
              description: >-
                ID of the subscription the quote invoice is attached to, if any.
                Only applies to the `one_off` quote type. The get subscription
                endpoint (`GET /v2/subscriptions/{id}`) can be used to retrieve
                the related details.
              example: sub_B6ClkdqNqVNBgY
            status:
              type: string
              enum:
                - signed
              description: >

                Quote status.


                - `draft`: The quote is a draft.

                - `pending_approval`: The quote is pending manager review and
                approval.

                - `changes_requested`: Some changes have been requested
                following manager review.

                - `approved`: The quote is approved and ready to be sent to the
                customer.

                - `pending_signature`: The quote is awaiting the customer's
                signature.

                - `signed`: The quote is signed and fully finalized.

                - `voided`: The quote is voided.
              example: signed
            approved_at:
[...]
